{$mode objfpc}{$h+}
uses
  SysUtils;

const
  MaxX = 2000000000;
  MaxTries = 20;
  MaxL = 20;

function Calc(cmd: String; x: Integer): Integer;
var
  r: Int64 = 1;
  ch: Char;
begin
  for ch in cmd do begin
    if ch = '+' then r += 1
    else if ch = '*' then r *= x
    else Halt(999);
    if r > MaxX then exit(-1);
  end;
  Result := Integer(r);
end;

procedure Stop(r: Integer; msg: String);
var
  fout: TextFile;
begin
  AssignFile(fout, 'output.txt'); Rewrite(fout);
  Writeln(fout, r);
  Writeln(fout, msg);
  Close(fout);
  Halt(0);
end;

var
  fin: TextFile;
  s, cmd: String;
  x, i: Integer;
begin
  AssignFile(fin, 'input.txt'); Reset(fin);
  Readln(fin, cmd);
  if length(cmd) > MaxL then Halt(998);
  Close(fin);
  for i := 1 to MaxTries+1 do begin
    Readln(s);
    if TryStrToInt(s, x) then begin
      if (x < 1) or (x > MaxX) then
        Stop(2, 'x is out of range: ' + s);
      Writeln(Calc(cmd, x));
      Flush(output);
    end
    else begin
      if Length(s) > MaxL then Stop(2, 'cmd is too long: ' + Copy(s, 1, 20));
      if s = cmd then Stop(0, 'ok') else Stop(1, s);
    end;
  end;
  Stop(1, 'Too many requests');
end.
